package sbu.javafx;

import java.net.URL;

public class Song {
    private String title;
    private String artist;
    private String duration;
    private URL url;

    public Song(String title, String artist, String duration, URL url) {
        this.title = title;
        this.artist = artist;
        this.duration = duration;
        this.url = url;
    }

    public String getTitle() { return title; }
    public String getArtist() { return artist; }
    public String getDuration() { return duration; }
    public URL getUrl() { return url; }

    @Override
    public String toString() {
        return getTitle() + " - " + getArtist() + " (" + getDuration() + ")";
    }
}